<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Calcul de la moyenne</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br>");
 // --- on récupère les données ---
 $n1=$_POST['n1'] ;
 $n2=$_POST['n2'] ;
 $n3=$_POST['n3'] ;
 $c1=$_POST['c1'] ;
 $c2=$_POST['c2'] ;
 $c3=$_POST['c3'] ;   
 // --- on traite les données ---
 $n1=floatval($n1);
 $n2=floatval($n2);
 $n3=floatval($n3);
 $c1=floatval($c1);
 $c2=floatval($c2);
 $c3=floatval($c3);
 // --- on calcule ---
 $Moyenne=(($n1*$c1)+($n2*$c2)+($n3*$c3))/($c1+$c2+$c3) ;
 printf("Votre moyenne est : %+6.2f",$Moyenne);
 echo WEB_EOL;
 switch (true)
 {
    case (($Moyenne >= 0) && ($Moyenne < 10))  :
             echo "Recalé".WEB_EOL;
             break;
    case (($Moyenne >= 10) && ($Moyenne < 12)) :
             echo "Mention PASSABLE".WEB_EOL;
             break ;
    case (($Moyenne >= 12) && ($Moyenne < 14)) :
             echo "Mention ASSEZ BIEN".WEB_EOL;
             break ;
    case (($Moyenne >= 14) && ($Moyenne < 16)) :
             echo "Mention BIEN".WEB_EOL;
             break ;
    case (($Moyenne >= 16) && ($Moyenne <= 20)):
             echo "Mention TRES BIEN".WEB_EOL;
             break ;
    default: echo "Notes ou Coefficients erronnés".WEB_EOL;
             break;
 }
 ?>
 </body>
</html>
